<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>API: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script>
<script type="text/javascript" async="async" src="MathJax-2.7.0/MathJax.js"></script>
<link href="doxygen_developer.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="OpenSimLogoWhiteHorizontal_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">API
   &#160;<span id="projectnumber">4.4.1-2022-09-05-d4bb9bc34</span>
   </div>
   <div id="projectbrief">For C++ developers</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classOpenSim_1_1Array.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">OpenSim::Array&lt; T &gt; Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classOpenSim_1_1Array.html">OpenSim::Array&lt; T &gt;</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Array.html#a56e42af806bcda1f301622905f4c26f8">_array</a></td><td class="entry"><a class="el" href="classOpenSim_1_1Array.html">OpenSim::Array&lt; T &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Array.html#a3f19ac907fe711e986511bc382baa6c2">_capacity</a></td><td class="entry"><a class="el" href="classOpenSim_1_1Array.html">OpenSim::Array&lt; T &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Array.html#ad329eb9d66ff502672524af46c396ce0">_capacityIncrement</a></td><td class="entry"><a class="el" href="classOpenSim_1_1Array.html">OpenSim::Array&lt; T &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Array.html#a1559d17242b7a6aee6160ca266b5c782">_defaultValue</a></td><td class="entry"><a class="el" href="classOpenSim_1_1Array.html">OpenSim::Array&lt; T &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Array.html#a66ada54d5405977c01fcd34f8541cf26">_size</a></td><td class="entry"><a class="el" href="classOpenSim_1_1Array.html">OpenSim::Array&lt; T &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Array.html#a16969ea83d0bb1b3cc9ceade180012fa">append</a>(const T &amp;aValue)</td><td class="entry"><a class="el" href="classOpenSim_1_1Array.html">OpenSim::Array&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Array.html#afd5af71649fbf9df881e48f04aeee371">append</a>(const Array&lt; T &gt; &amp;aArray)</td><td class="entry"><a class="el" href="classOpenSim_1_1Array.html">OpenSim::Array&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Array.html#a27e127f6bb6960bf4798d40a1d87bc83">append</a>(int aSize, const T *aArray)</td><td class="entry"><a class="el" href="classOpenSim_1_1Array.html">OpenSim::Array&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Array.html#aa7d3e878a688aadb50918be1f44c9dd3">Array</a>(const T &amp;aDefaultValue=T(), int aSize=0, int aCapacity=Array_CAPMIN)</td><td class="entry"><a class="el" href="classOpenSim_1_1Array.html">OpenSim::Array&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">explicit</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Array.html#ab03c2b78595c744e5d91cadefd9d82c9">Array</a>(const Array&lt; T &gt; &amp;aArray)</td><td class="entry"><a class="el" href="classOpenSim_1_1Array.html">OpenSim::Array&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Array.html#adafac6231aededf0036da946af48e929">arrayEquals</a>(const Array&lt; T &gt; &amp;aArray) const</td><td class="entry"><a class="el" href="classOpenSim_1_1Array.html">OpenSim::Array&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Array.html#a614b8c0eb380d6f8aa1288d9706a6b37">computeNewCapacity</a>(int aMinCapacity, int &amp;rNewCapacity)</td><td class="entry"><a class="el" href="classOpenSim_1_1Array.html">OpenSim::Array&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Array.html#a2dfaacf117677d7a6bc024bbbd1e2cbe">ensureCapacity</a>(int aCapacity)</td><td class="entry"><a class="el" href="classOpenSim_1_1Array.html">OpenSim::Array&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Array.html#a62a8c65a21fe11ab8bf42e533dcb4048">findIndex</a>(const T &amp;aValue) const</td><td class="entry"><a class="el" href="classOpenSim_1_1Array.html">OpenSim::Array&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Array.html#aa9c5f16e2584468b98bbf682993994da">get</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1Array.html">OpenSim::Array&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Array.html#a1451d6b2fcb6e8a0042d93bb47213eb7">get</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1Array.html">OpenSim::Array&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Array.html#aa172804c369b8327874f0dd610cf88c5">get</a>(int aIndex) const</td><td class="entry"><a class="el" href="classOpenSim_1_1Array.html">OpenSim::Array&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Array.html#a59bf4f0ba7bb39c9f87761db280d2dbd">getCapacity</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1Array.html">OpenSim::Array&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Array.html#a3aef106f2e98ff302f0589999ec814a8">getCapacityIncrement</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1Array.html">OpenSim::Array&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Array.html#a11cf45656a28214cf5ca393bc3b8705f">getLast</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1Array.html">OpenSim::Array&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Array.html#a0bc97e78e0a95f80b03c9cdbc27dc10b">getSize</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1Array.html">OpenSim::Array&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Array.html#a919a732bf18326959e6aafa4f6ade5fc">insert</a>(int aIndex, const T &amp;aValue)</td><td class="entry"><a class="el" href="classOpenSim_1_1Array.html">OpenSim::Array&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Array.html#a9de7cd20d4d15367196d207c9628b57b">operator&lt;&lt;</a>(std::ostream &amp;aOut, const Array&lt; T &gt; &amp;aArray)</td><td class="entry"><a class="el" href="classOpenSim_1_1Array.html">OpenSim::Array&lt; T &gt;</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Array.html#a5267fc885b9a18a12d75d5ac75e519e8">operator=</a>(const Array&lt; T &gt; &amp;aArray)</td><td class="entry"><a class="el" href="classOpenSim_1_1Array.html">OpenSim::Array&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Array.html#a13390077e6788b2a9ceb4e9df30894a4">operator==</a>(const Array&lt; T &gt; &amp;aArray) const</td><td class="entry"><a class="el" href="classOpenSim_1_1Array.html">OpenSim::Array&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Array.html#a83c389642a8a1db9c03409fcffe715fd">operator&gt;&gt;</a>(std::istream &amp;in, Array&lt; T &gt; &amp;out)</td><td class="entry"><a class="el" href="classOpenSim_1_1Array.html">OpenSim::Array&lt; T &gt;</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Array.html#a26cead3f07599c70ffca2188fe5d647e">operator[]</a>(int aIndex) const</td><td class="entry"><a class="el" href="classOpenSim_1_1Array.html">OpenSim::Array&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Array.html#ae800e1737112b46456c730f5115046b7">remove</a>(int aIndex)</td><td class="entry"><a class="el" href="classOpenSim_1_1Array.html">OpenSim::Array&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Array.html#a5e89a83520345989520bce142262b9ab">rfindIndex</a>(const T &amp;aValue) const</td><td class="entry"><a class="el" href="classOpenSim_1_1Array.html">OpenSim::Array&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Array.html#a0befc296631d523a2bfef19eef8a1fc2">searchBinary</a>(const T &amp;aValue, bool aFindFirst=false, int aLo=-1, int aHi=-1) const</td><td class="entry"><a class="el" href="classOpenSim_1_1Array.html">OpenSim::Array&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Array.html#a73d7e2c126c8379b1d9cf62b7df86b83">set</a>(int aIndex, const T &amp;aValue)</td><td class="entry"><a class="el" href="classOpenSim_1_1Array.html">OpenSim::Array&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Array.html#a14a93e0f3ffac301534392de881e1e72">setCapacityIncrement</a>(int aIncrement)</td><td class="entry"><a class="el" href="classOpenSim_1_1Array.html">OpenSim::Array&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Array.html#a78b56564ddc02e3b47dbb75a9349ea76">setSize</a>(int aSize)</td><td class="entry"><a class="el" href="classOpenSim_1_1Array.html">OpenSim::Array&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Array.html#aace1abea44dee8d5aaa8c298a72f0c58">size</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1Array.html">OpenSim::Array&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Array.html#abd3897fd81d9d47dd0e771a61f110b16">trim</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1Array.html">OpenSim::Array&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Array.html#a04f2fb56c5e091b0f28a467c11225554">updElt</a>(int aIndex) const</td><td class="entry"><a class="el" href="classOpenSim_1_1Array.html">OpenSim::Array&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Array.html#af603fdb2420c1cfdddacd2fe1ab98306">updLast</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1Array.html">OpenSim::Array&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Array.html#ab1ad1817f69d805fca2d8d2ea0d237ab">~Array</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1Array.html">OpenSim::Array&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Mon Sep 5 2022 20:49:17 for API by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.0 </li>
  </ul>
</div>
</body>
</html>
